POST api/PatientCheckin/CheckAnyActivePatientCheckin

Request Information

URI Parameters

None.

Body Parameters

ActivatePatientCheckinDTO
NameDescriptionTypeAdditional information
Id

integer

None.

PatientCheckinId

integer

None.

IsActivated

boolean

None.

IsCompleted

boolean

None.

Note

string

String length: inclusive between 0 and 300

CaseNo

integer

None.

ValidFlag

boolean

None.

DateCreated

date

None.

DateUpdated

date

None.

UserIDCreated

integer

None.

UserIDUpdated

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "Id": 1,
  "PatientCheckinId": 2,
  "IsActivated": true,
  "IsCompleted": true,
  "Note": "sample string 3",
  "CaseNo": 1,
  "ValidFlag": true,
  "DateCreated": "2026-08-04T14:26:14.6133197-07:00",
  "DateUpdated": "2026-08-04T14:26:14.6133197-07:00",
  "UserIDCreated": 7,
  "UserIDUpdated": 8
}

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

AsapResponseOfActivatePatientCheckinDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

ActivatePatientCheckinDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": {
    "Id": 1,
    "PatientCheckinId": 2,
    "IsActivated": true,
    "IsCompleted": true,
    "Note": "sample string 3",
    "CaseNo": 1,
    "ValidFlag": true,
    "DateCreated": "2026-08-04T14:26:14.6289365-07:00",
    "DateUpdated": "2026-08-04T14:26:14.6289365-07:00",
    "UserIDCreated": 7,
    "UserIDUpdated": 8
  },
  "totalCount": 3
}